﻿Imports System.ServiceModel

<ServiceContract()>
Public Interface ISSISServices

    <OperationContract()>
    Function ExecuteSSIS(ByVal pkg As SSISPackage) As SSISPackageResult

End Interface

<DataContract()>
Public Class SSISPackage
    <DataMember()>
    Public Property PackagePassword As String

    <DataMember()>
    Public Property PackagePath As String

    <DataMember()>
    Public Property VariableArray As List(Of SSISPackageVariable)

End Class

<DataContract()>
Public Class SSISPackageVariable

    <DataMember()>
    Public Property VariableName As String

    <DataMember()>
    Public Property VariableValue As String

End Class



<DataContract()>
Public Class SSISPackageResult

    <DataMember()>
    Public Property ExecutionResult As String

    <DataMember()>
    Public Property ExecutionStatus As String

    <DataMember()>
    Public Property ErrorArray As List(Of SSISPackageError)

End Class

<DataContract()>
Public Class SSISPackageError

    <DataMember()>
    Public Property ErrorCode As String

    <DataMember()>
    Public Property Description As String

    <DataMember()>
    Public Property Source As String

    <DataMember()>
    Public Property SubComponent As String

End Class
